=== debian/changelog ===
pommed (1.32~dfsg-1) unstable; urgency=low

  * New upstream release.

  * Package converted to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
  * debian/pommed.init:
    + Added $remote_fs to Required-{Start,Stop}.

 -- Julien BLACHE <jblache@debian.org>  Fri, 19 Mar 2010 18:26:38 +0100

pommed (1.31~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Adds support for the MacBookPro5,4 (closes: #564092).

 -- Julien BLACHE <jblache@debian.org>  Sun, 10 Jan 2010 11:10:15 +0100

pommed (1.30~dfsg-2) unstable; urgency=low

  * Add -lX11 to gpomme to fix build with gold (closes: #556069).

 -- Julien BLACHE <jblache@debian.org>  Fri, 13 Nov 2009 18:37:54 +0100

pommed (1.30~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Added the iBook to the list of supported machines in the description.

 -- Julien BLACHE <jblache@debian.org>  Thu, 22 Oct 2009 21:30:25 +0200

pommed (1.29~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Moved VT state code into pommed to overcome permissions issues
      (closes: #551591).

  * debian/control:
    + Tighten gpomme & wmpomme dependencies on pommed due to the
      above-mentioned change.
  * debian/pommed.init:
    + Do not fail on restart if pommed is not running (closes: #551587).

 -- Julien BLACHE <jblache@debian.org>  Mon, 19 Oct 2009 22:00:55 +0200

pommed (1.28~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sun, 13 Sep 2009 20:39:57 +0200

pommed (1.27~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 01 Aug 2009 10:29:46 +0200

pommed (1.26~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).
    + Update pommed's description regarding ambient light sensors and
      keyboard backlight.

 -- Julien BLACHE <jblache@debian.org>  Sat, 14 Mar 2009 14:21:23 +0100

pommed (1.25~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Fix DBus configuration to allow method calls to org.pommed.

 -- Julien BLACHE <jblache@debian.org>  Sun, 04 Jan 2009 14:23:46 +0100

pommed (1.24~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Thu, 25 Dec 2008 13:34:52 +0100

pommed (1.23~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Add support for LCD backlight on late 2008 laptops (closes: #504358).

  * debian/pommed.init:
    + Demote dbus to Should-Start instead of Required-Start to avoid useless
      restarts of pommed triggered by the dbus init script.

 -- Julien BLACHE <jblache@debian.org>  Thu, 11 Dec 2008 16:05:27 +0100

pommed (1.22~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Mon, 10 Nov 2008 11:21:41 +0100

pommed (1.21~dfsg-3) unstable; urgency=low

  * gpomme:
    + Added japanese translation courtesy of Nobuhiro Iwamatsu
      (closes: #501463).

  * debian/pommed.postinst, debian/pommed.preinst, debian/pommed.postrm,
    debian/pommed.prerm:
    + Make all maintainer scripts set -e.

 -- Julien BLACHE <jblache@debian.org>  Tue, 07 Oct 2008 18:37:34 +0200

pommed (1.21~dfsg-2) unstable; urgency=low

  * debian/copyright:
    + Update.

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Jul 2008 19:06:52 +0200

pommed (1.21~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Jul 2008 16:16:04 +0200

pommed (1.20~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/pommed.init:
    + Add dbus dependency.

 -- Julien BLACHE <jblache@debian.org>  Mon, 16 Jun 2008 18:44:39 +0200

pommed (1.19~dfsg-1) unstable; urgency=low

  * New upstream release.
    + WARNING: requires Linux 2.6.25 or later.
    + Make pommed use a bit less CPU time, especially on machines not having
      ambient light sensors (MacBook, MacBook Air, iBook & early PowerBook).
    + Make gpomme wake up (way) less often.

  * debian/control:
    + Get rid of the libsmbios-dev build-dep.
    + Add build-dep on libdbus-glib-1-dev.
    + Bump Standards-Version to 3.8.0 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 07 Jun 2008 12:03:25 +0200

pommed (1.18~dfsg-2) unstable; urgency=low

  * debian/rules:
    + Fix installation path for the SVG icon.
    + Comment out useless dh_desktop call.

 -- Julien BLACHE <jblache@debian.org>  Wed, 21 May 2008 19:17:08 +0200

pommed (1.18~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sun, 18 May 2008 12:08:28 +0200

pommed (1.17~dfsg-2) unstable; urgency=low

  * debian/control:
    + Build-Depend on libpci-dev instead of pciutils-dev.
    + Mark the libpci-dev build-dependency as i386+amd64-only.
    + Drop zlib1g-dev build-dependency.
    + Mention the MacBook Air in the description.
  * pommed/Makefile:
    + Changed for now-shared libpci.

 -- Julien BLACHE <jblache@debian.org>  Mon, 28 Apr 2008 18:59:47 +0200

pommed (1.17~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Thu, 17 Apr 2008 19:21:33 +0200

pommed (1.16~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Support for the January 2008 MacBookAir1,1.
    + Support for the February 2008 MacBookPro4,1 (untested).
    + Support for the February 2008 MacBook4,1 (untested).

 -- Julien BLACHE <jblache@debian.org>  Sun, 02 Mar 2008 09:57:02 +0100

pommed (1.15~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Add support for the power_supply class, needed with 2.6.24 and up.
  * debian/rules:
    + Install upstream changelog (closes: #463433).
  * debian/control:
    + s/DBus/D-Bus/

