=== debian/changelog ===
pommed (1.35~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sat, 13 Nov 2010 11:44:22 +0100

pommed (1.34~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 31 Jul 2010 16:03:21 +0200

pommed (1.33~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Adds support for the MacBookPro6,1, MacBookPro6,2, MacBookPro7,1 and
      MacBook6,1 (closes: #576013).

  * debian/control:
    + Remove Build-dep on libglade2-dev.

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jun 2010 18:40:05 +0200
