## pommed 1.35~jolicloud0

=== debian/changelog ===
pommed (1.35~jolicloud0) robby-lucid; urgency=low

  * Pre-release of pommed 1.35
    + No keyboard backlight on the MacBookAir3,*
    + MacBook Air 11" & 13" (Core2 Duo, October 2010) support
    + Fix crash if no fnmode sysfs node found
    + Prepare for pommed v1.35
    + Pommed v1.34
    + Add the nouveau sysfs backlight driver
    + Be more careful when invoking eject (Alioth #312213)
    + Prepare for pommed v1.34
    + Pommed v1.33
    + Update ChangeLog for Glade removal in gpomme
    + Switch from Glade to hardcoded GTK+ code
    + Update Copyright notice
    + Add support for the MacBookPro7,1 (13", Core2 Duo, April 2010)
    + Add instructions for reporting an unsupported Intel Mac machine
    + Kill PCI device check for nv8600mgt backlight
    + Add support for the MacBookPro6,1 and MacBookPro6,2 (April 2010)

  * Remove reference to depricated gpomme/gpomme.glade from debian/rules

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 09 Nov 2010 21:19:35 +0100

pommed (1.33-mactel1~lucid1) unstable; urgency=low

  * Pre-release of pommed 1.33
    + Version 1.33 from Julien's git tree (jblache@debian.org)
    + make-timer-tick-rate-a-parameter (rydberg@euromail.se)
    + Inhibit-keyboard-on-LID-close-if-auto_on-only (rydberg@euromail.se)
    + Add-support-for-MacBookPro6-2-15-Core-i7 (froemel@vmars.tuwien.ac.at)

 -- Henrik Rydberg <rydberg@euromail.se>  Thu, 06 May 2010 11:32:30 +0200

pommed (1.30-mactel1) unstable; urgency=low

  * Pre-release of pommed 1.30
    + Version 1.30 from Julien's git tree
    + CPU consumption patches from mactel

 -- Henrik Rydberg <rydberg@euromail.se>  Thu, 05 Nov 2009 17:01:56 +0100

pommed (1.26~dfsg-mactel2) unstable; urgency=low

  * Inhibit-keyboard-on-LID-close-if-auto_on-only

 -- Henrik Rydberg <rydberg@euromail.se>  Sun, 23 Aug 2009 00:18:20 +0200

pommed (1.26~dfsg-mactel1) unstable; urgency=low

  * Increase timer tick rate (patches sent upstream).

 -- Henrik Rydberg <rydberg@euromail.se>  Sun, 16 Aug 2009 17:24:19 +0200
