## pommed 1.37~dfsg

=== debian/changelog ===
pommed (1.37~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Feb 2011 18:23:29 +0100

pommed (1.36~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Put libraries in LDLIBS, not LDFLAGS (closes: #607585).
    + Fixes for pmac keyboard backlight (closes: #611149).

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Feb 2011 14:28:58 +0100
